Download it now!
Bug 48593 - FORMATTING: Change of Identation in Text Documents is Possible in Open-read-only Mode
Summary: FORMATTING: Change of Identation in Text Documents is Possible in Open-read-o...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-12 02:51 UTC by Harald Koester
Modified: 2016-08-28 15:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document (14.66 KB, application/vnd.oasis.opendocument.text)
2012-09-11 11:20 UTC, Harald Koester
Details
Screen shot of example file (77.75 KB, image/png)
2012-09-11 11:22 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-04-12 02:51:32 UTC
Problem description: 

Steps to reproduce:
First create a text document, which is opened read-only. If you have got one you can start with step (6).
(1) Start LibreOffice and open a new text document.
(2) Insert some words.
(3) Save document.
(4) Check "Menu: File > Properties... > Security > Open file read-only", then OK.
(5) Save and close document.
(6) Open read-only document.
(7) Display toolbar "Formatting" (Menu: View > Toolbars > Formatting). The bar is displayed and all icons of this bar are greyed except "Increase Indent" and "Decrease Indent".
(8) Click these buttons. Indenting orders are performed.

Expected behaviour here: Icons "Increase Indent" and "Decrease Indent" greyed and no indenting possible in open-read-only documents.

(9) Close document and open it again. Performed indenting orders have not been saved. A compensation for wrong behaviour?

Hint: Step (3) is necessary, hence otherwise the open-read-only mode is not saved in step (5). But this is another problem.  

Bug also observed in ver. 3.4.6.            

Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.28) Gecko/20120306 Firefox/3.6.28
Comment 1 Mònica Ramírez Arceda 2012-04-14 06:30:24 UTC
[Reproducible] with "LibreOffice 3.5.2.2 - Build ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f - GNU/Linux Debian testing (32bit) English UI"
Comment 2 Jaime Navarro 2012-04-19 04:48:51 UTC
[Reproduced] with "LibreOffice 3.5.2 - Debian 6.0.4 i386 English UI"

Expected behaviour here: Icons "Increase Indent" and "Decrease Indent" greyed
and no indenting possible in open-read-only documents.
Comment 3 Joel Madero 2012-09-10 19:50:32 UTC
Marking as NEEDINFO. Please provide the text document so that developers and QA don't have to do steps 1-5 and then mark this as UNCONFIRMED again. I'll take a look at it as soon as this is done. Thanks for helping us
Comment 4 Harald Koester 2012-09-11 11:20:44 UTC
Created attachment 66966 [details]
Example document

Just open the file and perform the steps listed inside the document.
Comment 5 Harald Koester 2012-09-11 11:22:30 UTC
Created attachment 66967 [details]
Screen shot of example file
Comment 6 bfoman (inactive) 2012-10-12 11:22:18 UTC
(In reply to comment #4)
> Created attachment 66966 [details]
> Example document
> Just open the file and perform the steps listed inside the document.

Confirmed with:
LO 3.6.3.1 
Build ID: f8fce0b
Windows 7 Professional SP1 64 bit

NEW as all below confirmed:
Display toolbar "Formatting" (Menu: View > Toolbars > Formatting). The bar should be displayed and all icons of this bar are greyed except "Increase Indent", "Decrease Indent", Font Colours, Highlighting Colours and Background Color.
Click the buttons „Increase Indent“ and „Decrease Indent“. Indenting Orders are performed. Try to assign other Font, Highlighting or Background colours with the non-greyed icons. This does not work. 

All those buttons should be disabled and greyed out.
Comment 7 QA Administrators 2015-01-05 17:52:34 UTC Comment hidden (obsolete)
Comment 8 Harald Koester 2015-01-06 22:27:22 UTC
Bug still exists with version 4.3.5 under Win 7.

Checked also 2 side effects mentioned in example document:
(a) There is a hint, that also the icons "Font Colours", "Highlighting Colours" and "Background Color" are not greyed. This bug was introduced with version 3.6.0 and has been corrected in version 4.3.0.
(b) If you decrease the indent several times it was possible to move the beginning of a paragraph in front of the page. This problem has also been corrected in version 4.3.0.
Comment 9 Commit Notification 2016-01-15 17:28:17 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d094e2aa42f696f893b3de7677b9ec26a2431a4

tdf#48593: disable increase/decrease indent in read-only documents

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 manuel.defranceschi 2016-06-16 10:16:42 UTC
Not present in:

Version: 5.2.0.0.beta2
Build ID: ae12e6f168ba39f137fc110174a37c482ce68fa4
CPU Threads: 2;
UI Render: default; 
Locale: it-IT (it_IT.UTF-8)
OS: OS: openSUSE Leap 42.1 (x86_64)

Version: 5.3.0.0.alpha0+
Build ID: a8bd44573b75d1399257d6f5d052611439607189
CPU Threads: 2;
UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-13_23:46:49
Locale: it-IT (it_IT.UTF-8)
OS: OS: openSUSE Leap 42.1 (x86_64)

I changed the bugs status to resolved fixed.
Comment 11 Harald Koester 2016-08-28 15:00:50 UTC
Checked with version 5.2.0. Bug is fixed. Hence closed.